<?php

/************************************************************************/
/* DOCEBO CORE - Framework												*/
/* ============================================							*/
/*																		*/
/* Copyright (c) 2006													*/
/* http://www.docebo.com												*/
/*																		*/
/* This program is free software. You can redistribute it and/or modify	*/
/* it under the terms of the GNU General Public License as published by	*/
/* the Free Software Foundation; either version 2 of the License.		*/
/************************************************************************/

/**
 * @package intelligere
 * @subpackage intelligere server configuration
 * @category ajax server
 * @version $Id:$
 *
 */

if(isset($_REQUEST['GLOBALS'])) die('GLOBALS overwrite attempt detected');
@error_reporting(E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR);
define("IN_DOCEBO", true);

$path_to_root = '../../../../..';

// prepare refer ------------------------------------------------------------------

require_once(dirname(__FILE__).'/'.$path_to_root.'/config.php');
require_once(dirname(__FILE__).'/'.$path_to_root.'/DoceboScs/config.php');
require_once($GLOBALS['where_config'].'/config.php');

if ($GLOBALS["where_cms_relative"] != false)
	$GLOBALS["where_cms_relative"]=$path_to_root.'/'.$GLOBALS["where_cms_relative"];

//if ($GLOBALS["where_kms_relative"] != false)
//	$GLOBALS["where_kms_relative"]=$path_to_root.'/'.$GLOBALS["where_kms_relative"];

if ($GLOBALS["where_lms_relative"] != false)
	$GLOBALS["where_lms_relative"]=$path_to_root.'/'.$GLOBALS["where_lms_relative"];

if ($GLOBALS["where_framework_relative"] != false)
	$GLOBALS["where_framework_relative"]=$path_to_root.'/'.$GLOBALS["where_framework_relative"];

if ($GLOBALS["where_files_relative"] != false) {
	$GLOBALS["where_files_relative"]=$path_to_root.'/'.$GLOBALS["where_files_relative"];
}
ob_start();

// connect to database -------------------------------------------------------------------

$GLOBALS['dbConn'] = mysql_connect($GLOBALS['dbhost'], $GLOBALS['dbuname'], $GLOBALS['dbpass']);
if( !$GLOBALS['dbConn'] )
	die( "Can't connect to db. Check configurations" );

if( !mysql_select_db($dbname, $GLOBALS['dbConn']) )
	die( "Database not found. Check configurations" );

@mysql_query("SET NAMES '".$GLOBALS['db_conn_names']."'", $GLOBALS['dbConn']);
@mysql_query("SET CHARACTER SET '".$GLOBALS['db_conn_char_set']."'", $GLOBALS['dbConn']);

// load setting ------------------------------------------------------------------
require_once($GLOBALS['where_framework'].'/setting.php');
require_once($GLOBALS['where_scs'].'/setting.php');

session_name("docebo_session");
session_start();

// load regional setting --------------------------------------------------------------
require_once($GLOBALS['where_framework']."/lib/lib.regset.php");
$GLOBALS['regset'] = new RegionalSettings();

// load current user from session -----------------------------------------------------
require_once($GLOBALS['where_framework'].'/lib/lib.user.php');
$GLOBALS['current_user'] =& DoceboUser::createDoceboUserFromSession('public_area');

require_once($GLOBALS['where_framework'].'/lib/lib.lang.php');
require_once($GLOBALS['where_framework'].'/lib/lib.template.php');
require_once($GLOBALS['where_framework'].'/lib/lib.utils.php');
require_once($GLOBALS['where_framework'].'/lib/lib.donotdo.php');

// security check --------------------------------------------------------------------

chkInput($_GET);
chkInput($_POST);
chkInput($_COOKIE);

$GLOBALS['operation_result'] = '';
function docebo_cout($string) { $GLOBALS['operation_result'] .= $string; }

// here all the specific code ==========================================================
	
	$query = "SELECT param_value" . 
			" FROM conference_setting" .
			" WHERE param_name = 'url_videoconference_intelligere'" .
			" OR param_name = 'intelligere_streaming_server_type'" .
			" OR param_name = 'intelligere_remote_desktop_server_type'" .
			" ORDER BY 'param_name'";
	
	$result = mysql_query($query);
	
	while (list($values) = mysql_fetch_row($result))
		$intelligere_configuration[] = $values;
	
	$xml = '<?xml version="1.0" encoding="utf-8"?>'."\r\n";
	$xml .= '<sync>'."\r\n";
	$xml .= '	<serverType value = "'.$intelligere_configuration['1'].'" />'."\r\n";
	$xml .= '	<protcol value = "rtmp://" />'."\r\n";
	
	$xml .= '	<server value = "'.$intelligere_configuration['2'].':80" />'."\r\n";
	
	$xml .= '	<application value = "intelligere30" />'."\r\n";
	$xml .= '	<instance value = "04" />'."\r\n";
	$xml .= '	<remoteDesktop value = "'.$intelligere_configuration['0'].'" />'."\r\n";
	$xml .= '	<remoteDesktopProtocol value = "rtmp://" />'."\r\n";
	
	$xml .= '	<remoteDesktopServer value = "'.$intelligere_configuration['2'].':1936" />'."\r\n";
	
	$xml .= '	<remoteDesktopApplication value = "intelligere" />'."\r\n";
	$xml .= '</sync>'."\r\n";
	
	echo $xml;
	
// =====================================================================================

// close database connection

mysql_close($GLOBALS['dbConn']);

ob_end_flush();

?>
